package gonganxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type notice struct {
	Table
	order  string `data:"94"`
	create string `name:"create title* content" role:"void"`
}

func (s notice) Create(m *ice.Message, arg ...string) { s.ValueCreate(m, arg...) }
func (s notice) Remove(m *ice.Message, arg ...string) { s.ValueRemove(m, arg...) }
func (s notice) List(m *ice.Message, arg ...string) {
	if len(arg) == 1 {
		s.Select(m, model.PLACE_UID, arg[0])
	} else if len(arg) == 2 {
		s.Select(m, model.PLACE_UID, arg[0], model.UID, arg[1])
	}
}

func init() { ice.TeamCtxCmd(notice{Table: newTable()}) }
